org.keycloak.authentication.requiredactions.util

## Class UserUpdateProfileContext

- java.lang.Object
- - org.keycloak.authentication.requiredactions.util.UserUpdateProfileContext

- All Implemented Interfaces:
    UpdateProfileContext

      public class UserUpdateProfileContext
      extends Object
      implements UpdateProfileContext

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserUpdateProfileContext(RealmModel realm, UserModel user)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAttribute(String key)`
    `Map<String,List<String>>` | `getAttributes()`
    `String` | `getEmail()`
    `String` | `getFirstAttribute(String name)`
    `String` | `getFirstName()`
    `String` | `getLastName()`
    `String` | `getUsername()`
    `boolean` | `isEditUsernameAllowed()`
    `void` | `setAttribute(String key, List<String> value)`
    `void` | `setEmail(String email)`
    `void` | `setFirstName(String firstName)`
    `void` | `setLastName(String lastName)`
    `void` | `setSingleAttribute(String name, String value)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserUpdateProfileContext

          public UserUpdateProfileContext(RealmModel realm,
                                          UserModel user)

  - ### Method Detail

    - #### isEditUsernameAllowed

          public boolean isEditUsernameAllowed()

      Specified by:
        `isEditUsernameAllowed` in interface `UpdateProfileContext`

    - #### getUsername

          public String getUsername()

      Specified by:
        `getUsername` in interface `UpdateProfileContext`

    - #### setUsername

          public void setUsername(String username)

      Specified by:
        `setUsername` in interface `UpdateProfileContext`

    - #### getEmail

          public String getEmail()

      Specified by:
        `getEmail` in interface `UpdateProfileContext`

    - #### setEmail

          public void setEmail(String email)

      Specified by:
        `setEmail` in interface `UpdateProfileContext`

    - #### getFirstName

          public String getFirstName()

      Specified by:
        `getFirstName` in interface `UpdateProfileContext`

    - #### setFirstName

          public void setFirstName(String firstName)

      Specified by:
        `setFirstName` in interface `UpdateProfileContext`

    - #### getLastName

          public String getLastName()

      Specified by:
        `getLastName` in interface `UpdateProfileContext`

    - #### setLastName

          public void setLastName(String lastName)

      Specified by:
        `setLastName` in interface `UpdateProfileContext`

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

      Specified by:
        `getAttributes` in interface `UpdateProfileContext`

    - #### setSingleAttribute

          public void setSingleAttribute(String name,
                                         String value)

      Specified by:
        `setSingleAttribute` in interface `UpdateProfileContext`

    - #### setAttribute

          public void setAttribute(String key,
                                   List<String> value)

      Specified by:
        `setAttribute` in interface `UpdateProfileContext`

    - #### getFirstAttribute

          public String getFirstAttribute(String name)

      Specified by:
        `getFirstAttribute` in interface `UpdateProfileContext`

    - #### getAttribute

          public List<String> getAttribute(String key)

      Specified by:
        `getAttribute` in interface `UpdateProfileContext`

Copyright © 2016 JBoss by Red Hat. All rights reserved.